"""
An error used when the value used is out of bounds for the function
"""

class ValueOutOfBoundsError(Exception):
    def __init__(self, bounds: tuple[float, float] | tuple[int, int], value: float | int):
        super().__init__( f"ERROR: Value out of expected bounds, Min: {bounds[0]}, Max: {bounds[1]}, Value: {value}." )

